
QGIS Application - Bug report #20196

[Data-defined] An expression with just the field in it is not recognized as the field itself

2018-10-23 01:58 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28017

Description

Discussion at 

http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-Rotate-or-Offset-Point-symbol-how-do-they-work-Or-are-they-broken-tt5382677.

tml

In the data-defined widget, it looks like selecting a field from the "Fields type" menu does not have the same consequence as using its

"Edit..." menu and write an expression with only the field name. While both are applied to the property, using interactive tools like "rotate

point symbol" or "Offset point symbol" and maybe others...: in the first case, modification on canvas updates the field, in the latter you only

get message like "The selected point does not have a rotation attribute set." eg.

Related issues:

Duplicates QGIS Application - Bug report # 15808: Rotate or Offset point symb... Open 2016-11-03

History

#1 - 2018-10-23 02:22 PM - Harrissou Santanna

- Duplicates Bug report #15808: Rotate or Offset point symbols tools do not recognize layer field when set through expression dialog instead of the field 

checkbox added

#2 - 2018-10-23 02:23 PM - Harrissou Santanna

- Resolution set to duplicate

- Status changed from Open to Closed

Looks like I've reported two years ago already.
